{% extends "base.html" %}
<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />

{% block extra_header %}

<style type="text/css">
  html { height: 100% }
  body { height: 100%; margin: 0px; padding: 0px }
  #mainblock { height: 100% }
</style>
<script type="text/javascript"
    src="http://maps.google.com/maps/api/js?sensor=false">
</script>
<script type="text/javascript">

var contentString = 'Lores Ipsum text';

var infowindow = new google.maps.InfoWindow({
    content: contentString
});

function add_marker(map, lat, lon, image, title, notes) {
  var myLatlng = new google.maps.LatLng(lat, lon);
  var marker = new google.maps.Marker({
    position: myLatlng,
    icon: image,
    title: title,
  });

  // Add the marker to the map
  marker.setMap(map);

  if (notes == 'None') return;

  // add event to the marker
  google.maps.event.addListener(marker, 'mouseover', function() {
    infowindow.setContent(notes);
    infowindow.open(map, marker);
  });
  google.maps.event.addListener(marker, 'mouseout', function() {
    infowindow.close();
  });
}

function initialize() {
  var latlng = new google.maps.LatLng({{ map_center }});
  var myOptions = {
      zoom: 12,
      center: latlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    };
  var map = new google.maps.Map(document.getElementById("mainblock"),
        myOptions);

{% for p in positions %}
  add_marker(map,
    {{ p.location }},
    '/images/{{ p.icon }}',
    '{{ p.title }}',
    '{{ p.notes|safe }}');
{% endfor %}
}

</script>
{% endblock %}
{% block body_tag_extension %} onload="initialize()" {% endblock %}
{% block page_body %}
{% endblock %}
